For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Project Block

Get Project Block — Taskade REST API v1 reference: GET /projects/{projectId}/blocks. Parameters, authentication, and response schema.

get

Get all blocks for a project

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
Query parameters
limitnumberOptionalDefault: 100
afterstringOptional

Parameter for cursor-based pagination. Specify block ID to get blocks after it. Do not specify both before and after.

beforestringOptional

Parameter for cursor-based pagination. Specify block ID to get blocks before it. Do not specify both before and after.

Responses
200

Blocks

application/json

Blocks

okboolean · enumRequiredPossible values:
get/projects/{projectId}/blocks
GET /api/v1/projects/{projectId}/blocks HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "items": [
    {
      "id": "abc123DEF456",
      "text": "Follow up with client",
      "completed": false
    }
  ]
}

Last updated

Was this helpful?